body {
    min-height: 100vh;
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #F6F7F8;
}

.wrapper {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

/* HEADER */

header {
    height: 25px;
    padding: 10px;
    background-color: #2EC4B6;
    color: #F6F7F8;
}

.header-wrapper {
    display: flex;
    justify-content: space-between;
}

#unsplash-logo {
    display: block;
    align-self: flex-start;
}

.search-wrapper {
    display: flex;
}

/* input container */
.input-wrapper {
    position: relative;
    display: flex;
    margin-right: 200px;
}

/* input field */

input[type="text"] {
    border: none;
    outline: none;
    background: transparent;
}

#searchInput {
    width: 300px;
    height: 20px;
    padding-left: 10px;
    padding-right: 30px;
    font-size: 14px;
    color: #929292;
    background-color: #F6F7F8;
    border: 1px solid #011627;
    border-radius: 15px;
}

input#searchInput:focus {
    color: #011627;
    background-color: #F6F7F8;
    border: 1px solid #011627;
}

/* clear button */
#clearButton {
    position: absolute;
    top: 1px;
    right: 5px;
    margin: 0;
    background: none;
    border: none;
    cursor: pointer;
}

#clearButtonLogo {
    opacity: 50%;
}

#searchButton:hover {
    margin-right: 150px;
    background-color: #011627;
    color: #F6F7F8;
    cursor: pointer;
    transition-duration: 0.8s;
}

/* MAIN */

/* GALLERY */

main {
    flex: 1;
}

.gallery {
    max-width: 100vw;
    padding: 10px;
    column-count: 5;
    overflow: hidden;
}

.gallery-item {
    break-inside: avoid;
    margin-bottom: 10px;
    position: relative;
}
  
.gallery-item img {
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
}
  
.gallery-item:hover img {
    transform: scale(1.05);
    transition: 0.5s;
}

.gallery-item img {
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
}

.download-link {
    position: absolute;
    padding: 10px;
    bottom: 0;
    right: 0;
    box-shadow: none;
}

.download-link:hover {
    cursor: pointer;
    filter: invert(100%);
}

.download-link img {
    box-shadow: none;
}

/* FOOTER */

footer {
    height: 50px;
    padding: 10px;
    background-color: #011627;
    color: #F6F7F8;
}

.footer-wrapper {
    display: flex;
    justify-content: space-between;
}

#github-link {
    display: flex;
    align-self: center;
}

footer a {
    color: #F6F7F8;
    text-decoration: none;
}

footer a:hover {
    color: #2EC4B6;
    transition-duration: 0.8s;
}

/* MEDIA */

@media screen and (min-width: 701px) and (max-width: 900px) {
  .gallery {
    column-count: 4;
    padding: 10px;
  }
}

@media screen and (min-width: 501px) and (max-width: 700px) {
    .gallery {
      column-count: 3;
      padding: 10px;
    }

    .input-wrapper {
        margin-right: 35px;
    }
  }

  @media screen and (min-width: 301px) and (max-width: 500px) {
    .gallery {
      column-count: 2;
      padding: 10px;
    }

    .input-wrapper {
        margin-right: 10px;
    }

    #searchInput {
        width: 120px;
        font-size: 10px;
  }
}